昨天开始一直出现这个问题npm ERR! C:\Users\xx\AppData\Roaming\npm-cache\_cacache is not a legal HTTP header value
发布于 3 年前 作者 juneLLL 11340 次浏览 来自 问答

昨天开始一直出现这个问题npm ERR! C:\Users\xx\AppData\Roaming\npm-cache_cacache is not a legal HTTP header value,去网上搜了很多, 1.有人说可直接吧这个文件夹删掉,用了可行,但是每次安装都这样不是长久之计呀。 2.有人说吧npm降低成4.多版本即可,我就试着用了 npm install npm@4 结果查看全局安装的包时显示是±- npm@4.6.1 但是npm -v 时还是 5.0.3 求助啊

5 回复

根据一位大神的方法解决了,,,,在npm那个node_module外写了一个package.json规定了一下版本

@juneLLL 哪个node_modules

@yangxy6 node 安装目录下的那个 里边有.bin 文件和npm 文件那个

@juneLLL 你是把版本降到4了么

@yangxy6 可以降到你指定的任意版本

回到顶部